summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conrad@kostecki.com>2019-03-08 20:34:51 +0100
committerPatrice Clement <monsieurp@gentoo.org>2019-04-10 00:21:24 +0200
commitf925c24abc27078c1727de0c0a20d93cd2159000 (patch)
tree84b8e3a572af8a1b0b7c00c2178c04482c219a2d /x11-plugins
parentdev-lang/mozart-stdlib: EAPI7, improve ebuild. (diff)
downloadgentoo-f925c24abc27078c1727de0c0a20d93cd2159000.tar.gz
gentoo-f925c24abc27078c1727de0c0a20d93cd2159000.tar.bz2
gentoo-f925c24abc27078c1727de0c0a20d93cd2159000.zip
x11-plugins/pidgin-telegram: bump to version 1.4.1.
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Conrad Kostecki <conrad@kostecki.com> Closes: https://github.com/gentoo/gentoo/pull/11312 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'x11-plugins')
-rw-r--r--x11-plugins/pidgin-telegram/Manifest1
-rw-r--r--x11-plugins/pidgin-telegram/pidgin-telegram-1.4.1.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/x11-plugins/pidgin-telegram/Manifest b/x11-plugins/pidgin-telegram/Manifest
index eb67b1be45e..ea3c35b307a 100644
--- a/x11-plugins/pidgin-telegram/Manifest
+++ b/x11-plugins/pidgin-telegram/Manifest
@@ -1 +1,2 @@
DIST telegram-purple_1.3.1.orig.tar.gz 509083 BLAKE2B 5842fac81fa1cd9d2681fe5ac790f0be227dadc49d2031a1682da74f62ae163c7ee9d7bb8f421a974bb0d3ea135b1d44983c976b1afbb81758a3953e89f9c68a SHA512 3d088ea8b77aeba1d7f26dcd3223420bcd50372d610368b8786eca0cbdb0a11bcc2d93f7948348c5e0305479703f74e5b5ad8e06e782e2df119cfd73a4e4a63e
+DIST telegram-purple_1.4.1.orig.tar.gz 482389 BLAKE2B 84c753c5dcdb8e66d1ec56d5307d3489780e932032f382e2d026ad4b6529d4c161e677483a794e56e6388cd76164d9b93955828f5cfc7b199ff8fa8314ad8951 SHA512 335da688021d2401122065f9089b86b6ccba6e812b06d8d8bc96e0defbbe693b35c1f981f5bf772ebc2577ab60ac7e97ce08d72361bcd17b27fc11740084ff1a
diff --git a/x11-plugins/pidgin-telegram/pidgin-telegram-1.4.1.ebuild b/x11-plugins/pidgin-telegram/pidgin-telegram-1.4.1.ebuild
new file mode 100644
index 00000000000..dd5f1391d74
--- /dev/null
+++ b/x11-plugins/pidgin-telegram/pidgin-telegram-1.4.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A libpurple protocol plugin that adds support for the Telegram messenger"
+HOMEPAGE="https://github.com/majn/telegram-purple"
+SRC_URI="https://github.com/majn/telegram-purple/releases/download/v${PV}/telegram-purple_${PV}.orig.tar.gz"
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="gcrypt libressl +nls +webp"
+
+RDEPEND="net-im/pidgin
+ sys-libs/zlib:=
+ gcrypt? ( dev-libs/libgcrypt:0= )
+ !gcrypt? (
+ libressl? ( dev-libs/libressl:0= )
+ !libressl? ( dev-libs/openssl:0= )
+ )
+ webp? ( media-libs/libwebp:= )"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+ nls? ( sys-devel/gettext )
+ virtual/pkgconfig
+"
+
+S="${WORKDIR}/telegram-purple"
+
+DOCS=( "AUTHORS" "CHANGELOG.md" "HACKING.md" "HACKING.BUILD.md" "README.md" )
+
+src_prepare() {
+ default
+
+ # Remove '-Werror' to make it compile
+ find -name 'Makefile*' -exec sed -i -e 's/-Werror //' {} + || die
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable gcrypt)
+ $(use_enable nls translation)
+ $(use_enable webp libwebp)
+ )
+
+ econf "${myeconfargs[@]}"
+}